Package Details: vlc-wayland-git 4.0.0.z-1

Git Clone URL: https://aur.archlinux.org/vlc-wayland-git.git (read-only, click to copy)
Package Base: vlc-wayland-git
Description: metapackage - migrate to vlc-git
Upstream URL: None
Submitter: knoelli
Maintainer: knoelli (xiota)
Last Packager: xiota
Votes: 3
Popularity: 0.009303
First Submitted: 2023-06-01 08:24 (UTC)
Last Updated: 2024-01-20 21:17 (UTC)

Dependencies (1)

Required by (0)

Sources (0)

Pinned Comments

knoelli commented on 2024-01-20 20:36 (UTC)

VLC added wayland support in the latest git version with commit 9dc025d0. This package is therefore no longer required and I'll open a merge request with vlc-git.

Meanwhile, do not install this package anymore, use vlc-git instead please.

Latest Comments

1 2 3 Next › Last »

knoelli commented on 2024-01-20 21:29 (UTC)

@xiota Didn't know about the problem with replaces so thank you for your timely intervention and for converting this to a package that safely migrates users to vlc-git.

xiota commented on 2024-01-20 21:21 (UTC)

As far as I know, this is the only reliable way to migrate users on AUR. There are some edge cases where replaces can work, but more often it causes problems, so it's best not used at all.

knoelli commented on 2024-01-20 21:04 (UTC)

Thanks for the input. Yes, my idea was to add vlc-wayland-git to the replaces list in vlc-git after merging this package. But if it's a better (or even the only working way) to convert it to a metapackage, I would be glad if you could do it.

xiota commented on 2024-01-20 20:59 (UTC) (edited on 2024-01-20 21:00 (UTC) by xiota)

Don't open a merge request... Convert to a metapackage to redirect users. (Add me as comaintainer, and I can convert it.)

In case you were thinking of using replaces, please don't. It doesn't work and can cause problems on AUR.

knoelli commented on 2024-01-20 20:36 (UTC)

VLC added wayland support in the latest git version with commit 9dc025d0. This package is therefore no longer required and I'll open a merge request with vlc-git.

Meanwhile, do not install this package anymore, use vlc-git instead please.

knoelli commented on 2024-01-11 21:24 (UTC)

@xiota I know. I will update that package within the next 1-2 days but first wanted to wait for possible feedback here before patching the regular version.

knoelli commented on 2024-01-11 20:32 (UTC)

The current arch package of libplacebo does not yet contain a revert that re-adds previously removed functions. This leads to the compilation error mentioned by @Melechtna. Using libplacebo-git as suggested by @xiota works around this problem but may cause dependency problems.

I've added a temporary patch to this package that disables the functions in question. As a result, libplacebo video output misses some (but not all) up-/downscaler presets for the time being. I'll remove the patch once the arch package of libplacebo is updated to API version 341 or later.

Melechtna commented on 2024-01-11 06:58 (UTC) (edited on 2024-01-11 06:58 (UTC) by Melechtna)

video_output/libplacebo/utils.c: In function ‘vlc_placebo_ColorMapParams’: video_output/libplacebo/utils.c:630:5: warning: ‘tone_mapping_param’ is deprecated [-Wdeprecated-declarations] 630 | params->tone_mapping_param = var_InheritFloat(obj, PREFIX("tone-mapping-param")); | ^~~~~~ In file included from video_output/libplacebo/utils.h:29: /usr/include/libplacebo/shaders/colorspace.h:308:11: note: declared here 308 | float tone_mapping_param PL_DEPRECATED; // seetone_constants| ^~~~~~~~~~~~~~~~~~ make[4]: *** [Makefile:25358: video_output/libplacebo/libplacebo_utils_la-utils.lo] Error 1 make[4]: Leaving directory '/var/tmp/pamac-build-melechtna/vlc-wayland-git/src/vlc/modules' make[3]: *** [Makefile:30481: all-recursive] Error 1 make[3]: Leaving directory '/var/tmp/pamac-build-melechtna/vlc-wayland-git/src/vlc/modules' make[2]: *** [Makefile:13734: all] Error 2 make[2]: Leaving directory '/var/tmp/pamac-build-melechtna/vlc-wayland-git/src/vlc/modules' make[1]: *** [Makefile:1642: all-recursive] Error 1 make[1]: Leaving directory '/var/tmp/pamac-build-melechtna/vlc-wayland-git/src/vlc' make: *** [Makefile:1529: all] Error 2 ==> ERROR: A failure occurred in build().

new issue with libplacebo I think